## org.exist.xquery.test
Class DocumentUpdateTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.DocumentUpdateTest

All Implemented Interfaces:
  junit.framework.Test

public class DocumentUpdateTest
extends junit.framework.TestCase

Constructor Summary
`DocumentUpdateTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testUpdate()` Test if the doc, collection and document functions are correctly notified upon document updates.
`void` `testUpdateAttribute()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentUpdateTest

    public DocumentUpdateTest()

Method Detail

### testUpdate

    public void testUpdate()

  Test if the doc, collection and document functions are correctly notified upon document updates. Call a function once on the empty collection, then call it again after a document was added, and compare the results.

### testUpdateAttribute

    public void testUpdateAttribute()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.